Bug 194625 - [new port] devel/bsdowl Portable build system for modern Unices
Summary: [new port] devel/bsdowl Portable build system for modern Unices
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Baptiste Daroussin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-27 08:15 UTC by Michael Grünewald
Modified: 2019-01-11 06:02 UTC (History)
0 users

See Also:


Attachments
port shar (3.79 KB, text/plain)
2014-10-27 08:15 UTC, Michael Grünewald
no flags Details
BSD Owl shell archive (3.66 KB, text/plain)
2014-10-31 14:09 UTC, Michael Grünewald
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Grünewald 2014-10-27 08:15:45 UTC
Created attachment 148693 [details]
port shar

BSD Owl Scripts

This collection of BSD Make directives aims at providing a highly
portable build system targetting modern UNIX systems and supporting
common or less command languages.

It can already be used to:

* Preparation and publication of TeX documents;
* Development of TeX macros with NOWEB;
* Development of OCaml software;
* Maintainance of a FreeBSD workstation configuration files;
* Preparation of a static website with ONSGMLS.

WWW: https://github.com/michipili/bsdowl
Comment 1 Baptiste Daroussin freebsd_committer 2014-10-31 12:52:20 UTC
All the @dir should be removed
Comment 2 Michael Grünewald 2014-10-31 14:09:14 UTC
Created attachment 148820 [details]
BSD Owl shell archive

Here is a new version without the @dir's.

They were suggested by _make makeplist_ and were not spotted by _portlint_.  I feel like reporting this as an issue, what do you think?
Comment 3 Baptiste Daroussin freebsd_committer 2014-10-31 14:17:14 UTC
It is a known issue but yes reporting never hurts :)
Comment 4 commit-hook freebsd_committer 2014-10-31 14:26:24 UTC
A commit references this bug:

Author: bapt
Date: Fri Oct 31 14:26:18 UTC 2014
New revision: 371830
URL: https://svnweb.freebsd.org/changeset/ports/371830

Log:
  BSD Owl Scripts

  This collection of BSD Make directives aims at providing a highly
  portable build system targetting modern UNIX systems and supporting
  common or less command languages.

  It can already be used to:

  * Preparation and publication of TeX documents;
  * Development of TeX macros with NOWEB;
  * Development of OCaml software;
  * Maintainance of a FreeBSD workstation configuration files;
  * Preparation of a static website with ONSGMLS.

  WWW: https://github.com/michipili/bsdowl

  PR:		194625
  Submitted by:	Michael Gr?newald

Changes:
  head/devel/Makefile
  head/devel/bsdowl/
  head/devel/bsdowl/Makefile
  head/devel/bsdowl/distinfo
  head/devel/bsdowl/pkg-descr
  head/devel/bsdowl/pkg-plist
Comment 5 Baptiste Daroussin freebsd_committer 2014-10-31 14:27:29 UTC
Committed with minor changes (the license framework bits where wrong
RUN_DEPENDS:= ${BUILD_DEPENDS} is usually a bad idea.
Comment 6 Michael Grünewald 2014-10-31 14:44:47 UTC
So I opened the issue #194713 to keep track of the overzealous directories removal.
Comment 7 Michael Grünewald 2014-10-31 14:48:35 UTC
Thank you Baptiste,

the

    RUN_DEPENDS:= ${BUILD_DEPENDS}

is proposed by the Porter's Handbook,

    https://www.freebsd.org/doc/en/books/porters-handbook/makefile-depend.html

section 5.8.2.
Comment 8 commit-hook freebsd_committer 2019-01-10 16:26:40 UTC
A commit references this bug:

Author: tobik
Date: Thu Jan 10 16:25:58 UTC 2019
New revision: 489869
URL: https://svnweb.freebsd.org/changeset/ports/489869

Log:
  devel/bsdowl: Do not set BUILD_DEPENDS twice

  Make GraphicsMagick a run dependency too as submitted in the original
  PR [1].

  PR:		194625 [1], 234696

Changes:
  head/devel/bsdowl/Makefile
Comment 9 commit-hook freebsd_committer 2019-01-11 06:02:16 UTC
A commit references this bug:

Author: tobik
Date: Fri Jan 11 06:01:34 UTC 2019
New revision: 489945
URL: https://svnweb.freebsd.org/changeset/ports/489945

Log:
  MFH: r489869

  devel/bsdowl: Do not set BUILD_DEPENDS twice

  Make GraphicsMagick a run dependency too as submitted in the original
  PR [1].

  PR:		194625 [1], 234696

  Approved by:	ports-secteam runtime fix blanket

Changes:
_U  branches/2019Q1/
  branches/2019Q1/devel/bsdowl/Makefile